Subject: Re: GDB problem: maybe windbg would be better?
From: [email-masked] (root)

8 Jul 1997 07:40:32 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Geoffrey Noer)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Geoffrey Noer" at Jul 8, 97 00:56:12 am
Original-Sender: [email-masked]

> 
> J.R. Dean wrote:
> > 
> > >My main problem with the gdb in beta 18 is the crash on exit
> > >problem.  I hope it will be fixed in future releases...
> >
> > Oh, so it *is* a bug?  Whoops.
> > 
> > Well, so much for debugging with gdb.
> 

G Noer answered...

> My consistent problem is quitting the tcl/tk gdb (I believe the problem
> is actually in tcl/tk rather than in gdb).  That said, I find the b18 gdb
> to be fairly usable so you may not need to completely abandon using it
> because of this problem. 

I have been writing a debugger for lcc for several months now, and it is
really hell. I understand the problem the gdb maintainers have.

This said, users need a debugger! I tried to provide some debugging with the
generation of msvc's compatible debug info. This allows users of lcc
to use MSVC to debug their programs, as an interim solution.

But, gcc generates stabs debug info, that is not used by any tool in Win32.

The solution is to write a windbg extension dll, that would read the stabs
information for the executable, and answer to the queries of windbg. Windbg is
thread aware, and is fairly robust as a debugger. The writing of a windbg
extension would allow gcc compiled programs to be debugged using a gui, and
would represent probably less development than the debugging of gdb under
win32.

What do you think?

I know of a guy in France, that would be ready to take a contract with Cygnus
to write such a library...

Imagine guys: a working debugger for you!

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".